image: registry.cern.ch/docker.io/library/python:3.9

variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"
cache:
  paths:
    - .cache/pip
    - .venv/

before_script:
  - python --version
  - pip install --no-cache-dir poetry==1.4.1
  - poetry config virtualenvs.in-project true
  # - poetry version $(git describe --always --tags --dirty --abbrev=0)

run:
  script:
    # - echo "${CI_BUILD_REF_NAME/release\//}.$CI_PIPELINE_IID"
    - export PIPETAG="${CI_BUILD_REF_NAME/release\//}.$CI_PIPELINE_IID"
    - echo "${PIPETAG}"
    - git tag "${PIPETAG}"
    - git push origin "${PIPETAG}"
    - git status
    - git describe --always --tags --dirty --abbrev=0
    - git describe --always --tags --dirty
    # - ./tasks version
    - poetry version $PIPETAG
    - poetry install
    - poetry build
    - poetry config repositories.gitlab https://gitlab.cern.ch/api/v4/projects/${CI_PROJECT_ID}/packages/pypi
    # - poetry config http-basic.gitlab gitlab-ci-token "$CI_JOB_TOKEN"
    - poetry publish -r gitlab -u gitlab-ci-token -p "${CI_JOB_TOKEN}"

  artifacts:
    paths:
      - dist/*.whl
# pages:
#   script:
#     - pip install sphinx sphinx-rtd-theme
#     - cd doc
#     - make html
#     - mv build/html/ ../public/
#   artifacts:
#     paths:
#       - public
#   rules:
#     - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

# deploy:
#   stage: deploy
#   script: echo "Define your deployment script!"
#   environment: production
